aboutsummaryrefslogtreecommitdiffstats
path: root/meta-gnome
Commit message (Collapse)AuthorAgeFilesLines
* gmtk: add missing dependency on intltool-nativeMartin Jansa2014-07-221-1/+1
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libgnomeprint: Blacklist because of missing freetype-configMartin Jansa2014-07-151-0/+4
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* recipes: add missing intltool-native dependencyMartin Jansa2014-07-153-3/+3
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* recipes: add missing pkgconfig inheritMartin Jansa2014-07-151-1/+1
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* meta-gnome: use BPN in SRC_URIRobert Yang2014-07-154-4/+4
| | | | | | | | | | | | Fixed SRC_URI: * ${PN} -> ${BPN}, use ${BP} if it was ${PN}-${PV} * ${P} -> ${BP} Otherwise we would meet do_fetch errors when we do the multilib, native or nativesdk build. Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* recipes: Add missing pkgconfig dependenciesRichard Purdie2014-07-151-1/+1
| | | | | | | These recipes were all missing pkgconfig dependencies. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* recipes: Add missing intltool-native dependenciesRichard Purdie2014-07-153-3/+3
| | | | | Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libbonoboui: Add missing intltool-native and gnome-common dependenciesRichard Purdie2014-07-151-1/+1
| | | | | Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* networkmanager, network-manager-applet, xfce4-power-manager, ↵Martin Jansa2014-06-211-0/+2
| | | | | | packagegroup-xfce-extended: Blacklist because of broken networkmanager after libgcrypt-config was removed Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* recipes: add missing gtk-doc class dependenciesRichard Purdie2014-06-214-20/+4
| | | | | | | | * These recipes all use gtk-doc m4 macros but were missing dependencies on the class. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* recipes: add missing pkgconfig class inheritsRichard Purdie2014-06-213-3/+3
| | | | | | | | * These recipes all use pkg-config in some way but were missing dependencies on the tool, this patch adds them. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* recipes: add missing dependency on intltool-nativeRichard Purdie2014-06-219-9/+9
| | | | | | | | * These recipes all require intltool-native to build but were missing a dependency on it. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libgnomekbd: delete older 2.26.0 versionMartin Jansa2014-06-211-14/+0
| | | | | | | | * there is 2.32.0 version in libgnome and this one was broken for long time it depends on gconf-dbus which was removed 2,5 years ago, now when newer recipe was blacklisted this started to be pulled into the build Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libgnomekbd, gnome-control-center, gnome-settings-daemon: Blacklist because ↵Martin Jansa2014-06-213-0/+6
| | | | | | of broken libgnomekbd with B!=S Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* nautilus: Blacklist because of broken with B!=SMartin Jansa2014-06-211-0/+2
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* zenity: Blacklist because of broken with B!=SMartin Jansa2014-06-211-0/+2
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gnome-power-manager: Fix build with B!=SMartin Jansa2014-06-211-3/+2
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libgsf, gnumeric, wv, abiword, goffice: Blacklist because of broken libgsf ↵Martin Jansa2014-06-215-0/+10
| | | | | | after glib upgrade Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* tracker: move from meta-oe to meta-gnomeMartin Jansa2014-06-218-0/+178
| | | | | | | * it rdepends on gvfs which is available only in meta-gnome and nothing in meta-oe depends on tracker Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gnome-menus3: Add support for 3.x.xAlex Lennon2014-06-211-0/+23
| | | | | Signed-off-by: Alex J Lennon <ajlennon@dynamicdevices.co.uk> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* network-manager-applet: fix S!=B errorAsh Charles2014-06-101-2/+1
| | | | | | | | The Makefile fixup in do_configure_append is in the build directory, not the source directory. Signed-off-by: Ash Charles <ashcharles@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* wv: add libpng dependencyTim Orling2014-05-151-1/+1
| | | | | Signed-off-by: Tim Orling <TicoTimo@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* emacs, mplayer2, gnome-mplayer, xbmc, libimobiledevice, ifuse, tk: blacklist ↵Martin Jansa2014-05-091-0/+1
| | | | | | | | | | recipes failing in world builds * these are failing for last couple months, blacklist them until someone steps up and starts maintaining them * see http://www.openembedded.org/wiki/Bitbake_World_Status Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gcr: add libgcrypt dependencyMartin Jansa2014-05-051-1/+1
| | | | | | | | | | * otherwise it tries to use libraries from wrong sysroot or sometimes it fails in do_configure already with: | configure.ac:160: warning: macro 'AM_PATH_LIBGCRYPT' not found in library | autoreconf: running: /OE/build/oe-core/tmp-eglibc/sysroots/x86_64-linux/usr/bin/autoconf --force | configure.ac:160: error: possibly undefined macro: AM_PATH_LIBGCRYPT Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libgdata: Fix build when S != BKhem Raj2014-05-031-1/+1
| | | | | Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* abiword: Fix build when S != BKhem Raj2014-05-031-6/+5
| | | | | Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gnome-control-center: Fix build when S != BKhem Raj2014-05-031-1/+1
| | | | | Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gnome-bluetooth: Fix build when S != BKhem Raj2014-05-031-1/+1
| | | | | Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gedit: Fix build when S != BKhem Raj2014-05-031-0/+2
| | | | | Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* epiphany: Fix build when S != BKhem Raj2014-05-031-1/+1
| | | | | Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* obexd, gnome-panel: Do not do out-of-tree builds yetKhem Raj2014-05-032-2/+2
| | | | | | | They need changes into components build system Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libxklavier: Update to 5.3 and fix build S != BKhem Raj2014-05-031-5/+6
| | | | | Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libbonobo: Update to latest versions and fix build when S != BKhem Raj2014-05-035-22/+17
| | | | | | | Do not install idl files which are already installed Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gnome-control-center: Unbreak gnome imagesKhem Raj2014-05-031-1/+3
| | | | | | | | | | | | | | | | images that now include both shared-mime-info and gnome-control-center We get Collected errors: * check_data_file_clashes: Package gnome-control-center wants to * install file * /home/kraj/work/angstrom-repo/build/tmp-angstrom_next-eglibc/work/beaglebone-angstrom-linux-gnueabi/systemd-gnome-image/1.0-r0/rootfs/usr/share/mime/generic-icons But that file is already provided by package * shared-mime-info This brings it back to wheree it was additionally removes the packaging warnings Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gnome-backgrounds: add intltool-native dependencyMartin Jansa2014-05-031-1/+2
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* devilspie2: update to 0.33Andreas Müller2014-05-031-3/+3
| | | | | | | | | | | | | | | | | Note: 0.24 failed if lua >= 5.2 was build before devilspie (e.g world build) with | src/script.c: In function 'init_script': | src/script.c:65:2: warning: implicit declaration of function 'lua_open' [-Wimplicit-function-declaration] | lua_State *lua=lua_open(); | ^ | src/script.c:65:17: warning: initialization makes pointer from integer without a cast [enabled by default] | lua_State *lua=lua_open(); | ^ | arm-angstrom-linux-gnueabi-gcc -march=armv7-a -mthumb -mthumb-interwork -mfloat-abi=hard -mfpu=neon --sysroot=/home/superandy/tmp/oe-core-eglibc/sysroots/overo -ldl -lm -Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed obj/devilspie2.o obj/xutils.o obj/script.o obj/script_functions.o -o bin/devilspie2 -lX11 `pkg-config --libs gtk+-2.0 libwnck-1.0 lua5.1` | src/script.c:65: error: undefined reference to 'lua_open' Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gnome-disk-utility: set correct nautilus configure optionsAndreas Müller2014-05-031-1/+1
| | | | | | | gnome-disk-utility-2.32.0: gnome-disk-utility: configure was passed unrecognised options: --disable-nautilus-extension Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com>
* gnome-themes: enables the path to the icon-name-mapping to be specifiedJackie Huang2014-04-212-6/+56
| | | | | | | | | Ported a patch from sato-icon-theme which enables the path to the icon-name-mapping tool to be specified to fix the build failure: configure: error: icon-naming-utils >= 0.8.7 is required to build and install gnome-themes Signed-off-by: Jackie Huang <jackie.huang@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gnome-disk-utility: change PACKAGECONFIG default: remove nautilusAndreas Müller2014-04-201-2/+2
| | | | | | | gnome-doc-utils had to be added when not depending on nautilus Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* evince: make nautilus extension a PACKAGECONFIG and disable by defaultAndreas Müller2014-04-201-2/+4
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gvfs-gdu-volume-monitor: Define build dependency on libgnome-keyringAdam YH Lee2014-04-201-2/+1
| | | | | | | | | Build fails due to missing libgnome-keyring static library (libgnome-keyring.la). libgnome-keyring has to be explicitly listed as one of the dependencies. Signed-off-by: Adam YH Lee <adam.yh.lee@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gnome-backgrounds: inherit only gnomebase, add glib-2.0 dependencyMartin Jansa2014-04-201-1/+4
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libbonoboui: inherit only gnomebaseMartin Jansa2014-04-201-1/+1
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libgnomeprint: inherit only gnomebaseMartin Jansa2014-04-201-1/+1
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libgnomecups: inherit only gnomebaseMartin Jansa2014-04-201-1/+1
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libgnomecanvas: add intltool-native dependencyMartin Jansa2014-04-201-1/+4
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* metacity: inherit only gnomebaseMartin Jansa2014-04-201-1/+1
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gtksourceview2: inherit only gnomebaseMartin Jansa2014-04-201-1/+1
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* goffice: inherit only gnomebaseMartin Jansa2014-04-201-1/+1
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* zenity: inherit only gnomebaseMartin Jansa2014-04-201-1/+1
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>